import React from 'react';
import PropTypes from 'prop-types';
/**
 * Primary UI component for user interaction
 */
declare const Heading: {
    ({ label, align, styles }: {
        label: string;
        align: string;
        styles?: React.CSSProperties | undefined;
    }): JSX.Element;
    propTypes: {
        /**
         * Heading contents
         */
        label: PropTypes.Validator<string>;
        /**
         * align
         */
        align: PropTypes.Requireable<string>;
        styles: PropTypes.Requireable<object>;
    };
    defaultProps: {
        align: string;
        styles: undefined;
    };
};
export default Heading;
export declare const Label: {
    ({ label, align, styles }: {
        label: string;
        align: string;
        styles?: React.CSSProperties | undefined;
    }): JSX.Element;
    propTypes: {
        /**
         * Heading contents
         */
        label: PropTypes.Validator<string>;
        /**
         * align
         */
        align: PropTypes.Requireable<string>;
        styles: PropTypes.Requireable<object>;
    };
    defaultProps: {
        align: string;
        styles: undefined;
    };
};
export declare const Link: {
    ({ label, align, onClick, isBold, styles }: {
        label: string;
        align: string;
        onClick: () => void;
        isBold: boolean;
        styles?: React.CSSProperties | undefined;
    }): JSX.Element;
    propTypes: {
        /**
         * Heading contents
         */
        label: PropTypes.Validator<string>;
        /**
         * align
         */
        align: PropTypes.Requireable<string>;
        /**
         * align
         */
        onClick: PropTypes.Requireable<(...args: any[]) => any>;
        /**
         * align
         */
        isBold: PropTypes.Requireable<boolean>;
        styles: PropTypes.Requireable<object>;
    };
    defaultProps: {
        align: string;
        isBold: boolean;
        styles: undefined;
        onClick: null;
    };
};
